package cn.com.qmth.stmms.common.enums;

public enum MarkStatus {

    TRIAL("试评", 1), FORMAL("正评", 2), FINISH("结束", 3);

    private String name;

    private int value;

    private MarkStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkStatus findByName(String name) {
        for (MarkStatus c : MarkStatus.values()) {
            if (c.toString().equalsIgnoreCase(name)) {
                return c;
            }
        }
        return null;
    }
}
